<h1>สรุปยอดของ Member ทั้งหมด</h1>

<%= form_tag agent_member_invoices_path(current_user), method: :get do %>
  
  <div class="col-sm-6">
    <%= select_tag "search[user]", options_for_select(@user, ""), {:prompt => "All"} %> <br>
    <br>
    <%= check_box_tag 'search[status][]', 'wait' %> <span class="text-uppercase">รอชำระ</span>
    <%= check_box_tag 'search[status][]', 'paid' %> <span class="text-uppercase">ชำระแล้ว</span>
    <br>
    <br>
    <% LotteryTopic.all.each do |lot| %>
      <%= check_box_tag 'search[lot][]', lot.title %> <span class="text-uppercase"><%= lot.name %></span>
    <% end %>
    <br>
    <br>
    <%= text_field_tag 'search[start_date]', '', class: 'datepicker'%> -
    <%= text_field_tag 'search[end_date]', '', class: 'datepicker'%>
     
    <%= submit_tag "ค้นหา", :disable_with => "Submitting...", class: 'btn btn-success btn-xs' %>
  </div>
<% end %>

<table class="table">
  <thead>
    <tr>
      <th>วันที่</th>
      <th></th>
      <th>รอบ</th>
      <th>ชื่อ</th>
      <th>สถานะ</th>
      <th>ยอดซื้อ</th>
      <th>ยอดถูก</th>
      <th>ส่วนลด</th>
      <th>สรุป</th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @invoices.each do |invoice| %>
      <tr>
        <td><%= link_to invoice.created_at.to_date.strftime('%d/%m/%y'), agent_member_invoice_url(current_user, invoice) %></td>
        <td><%= invoice.lottery_id %></td>
        <td><%= LotteryTime.set_lot_round(invoice.lottery_id, invoice.try(:round)) %></td>
        <td><%= invoice.user.name %></td>
        <td>
            <% if invoice.try(:status) == 'wait' %>
              <span class="label label-warning">รอชำระ</span>
            <% end %>
            <% if invoice.try(:status) == 'paid' %>
              <span class="label label-success">ชำระแล้ว</span>
            <% end %>
        </td>
        <td><%= invoice.total %></td>
        <td><%= invoice.amount_won %></td>
        <td><%= invoice.discount %></td>
        <td>
          <% summary = invoice.try(:amount_total) %>
          <% if summary.to_i > 0 %>
            <%= '-'+summary %>
          <% elsif summary.to_i < 0%>
            <%= summary.delete('-') %>
          <% else %>
            <%= summary %>
          <% end %>
        </td>
        <td class="manage">
          <% if (current_user.agent? || current_user.admin?) && invoice.status == 'wait' %>
            <%= link_to 'ยืนยัน', agent_member_invoice_member_confirmed_url(current_user, 4, invoice), class: 'btn btn-success'%>
          <% end %>
        </td>
      </tr>
    <% end %>
    <tr>
      <th>รวม</th>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>
        <%= sprintf('%.1f', @invoices.map {|l| l.total.to_f }.sum) %>
      </td>
      <td>
        <%= sprintf('%.1f', @invoices.map {|l| l.amount_won.to_f }.sum) %>
      </td>
      <td>
        <%= sprintf('%.1f', @invoices.map {|l| l.discount.to_f }.sum) %>
      </td>
      <th>
        <% summary = sprintf('%.1f', @invoices.map {|l| l.amount_total.to_f }.sum) %>
        <% if summary.to_i > 0 %>
          <%= '-'+summary %>
        <% elsif summary.to_i < 0%>
          <%= summary.delete('-') %>
        <% else %>
          <%= summary %>
        <% end %>
      </th>
    </tr>
  </tbody>
</table>
<script type="text/javascript">
  $(document).ready(function(){
    $('.datepicker').datepicker({
      format: 'dd-mm-yyyy'
    });
  });
</script>